package com.hchyun.test.dao;

import java.util.List;
import com.hchyun.test.entity.Stu;
import com.hchyun.test.entity.Results;

/**
 * 学生Mapper接口
 * 
 * @author hchyun
 * @date 2021-01-23
 */
public interface StuDao
{
    /**
     * 查询学生
     * 
     * @param id 学生ID
     * @return 学生
     */
    Stu selectStuById(Long id);

    /**
     * 查询学生列表
     * 
     * @param stu 学生
     * @return 学生集合
     */
    List<Stu> selectStuList(Stu stu);

    /**
     * 新增学生
     * 
     * @param stu 学生
     * @return 结果
     */
    int insertStu(Stu stu);

    /**
     * 修改学生
     * 
     * @param stu 学生
     * @return 结果
     */
    int updateStu(Stu stu);

    /**
     * 删除学生
     * 
     * @param id 学生ID
     * @return 结果
     */
    int deleteStuById(Long id);

    /**
     * 批量删除学生
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteStuByIds(Long[] ids);

    /**
     * 批量删除成绩
     * 
     * @param customerIds 需要删除的数据ID
     * @return 结果
     */
    int deleteResultsBySIds(Long[] ids);
    
    /**
     * 批量新增成绩
     * 
     * @param resultsList 成绩列表
     * @return 结果
     */
    int batchResults(List<Results> resultsList);
    

    /**
     * 通过学生ID删除成绩信息
     * 
     * @param roleId 角色ID
     * @return 结果
     */
    int deleteResultsBySId(Long id);
}
